package partnerpay

type PaymentParams struct {
	Money       *float64 `json:"money,omitempty"`       // 交易金额(元)，必须
	Title       *string  `json:"title,omitempty"`       // 交易标题/商品描述，必须
	OutTradeNo  *string  `json:"outTradeNo,omitempty"`  // 交易订单号，必须
	TimeExpire  *int64   `json:"timeExpire,omitempty"`  // 超时时长，即代表是多少分钟后订单超时无效(分钟为单位)
	Attach      *string  `json:"attach,omitempty"`      //附加数据，在查询API和支付通知中原样返回，可作为自定义参数使用，实际情况下只有支付完成状态才会返回该字段
	CallBackUrl *string  `json:"callBackUrl,omitempty"` // 回调地址，必须
}

type PaymentJsApiParam struct {
	PaymentParams
	OpenId *string `json:"openId"`
}
